Post 2.2.1-RELEASE upgrade breaks nrpe



  • I noticed this today:

    [2.2.1-RELEASE][admin@bast.int.unixathome.org]/root: /usr/pbi/nrpe-amd64/local/libexec/nagios/check_tcp -H bast.int.unixathome.org -p 9102
    Shared object "libintl.so.9" not found, required by "check_tcp"
    
    [2.2.1-RELEASE][admin@bast.int.unixathome.org]/root: ldd /usr/pbi/nrpe-amd64/local/libexec/nagios/check_tcp
    /usr/pbi/nrpe-amd64/local/libexec/nagios/check_tcp:
    	libssl.so.7 => /usr/lib/libssl.so.7 (0x800856000)
    	libcrypto.so.7 => /lib/libcrypto.so.7 (0x800ac1000)
    	libintl.so.9 => not found (0)
    	libthr.so.3 => /lib/libthr.so.3 (0x800eb5000)
    	libc.so.7 => /lib/libc.so.7 (0x8010da000)
    [2.2.1-RELEASE][admin@bast.int.unixathome.org]/root: 
    

    Any ideas?



  • Cross reference here: https://forum.pfsense.org/index.php?topic=90700.0

    sudo also has the same problem.


Log in to reply